function [M c]=proj(img)
% function [M c]=proj(img)
% Calculate the tomgram of a binary image. The rays are horizontal (first)
% and vertical only. 
%
% Input img a binary image
% Output M The proction matrix
%        c The actual projection
% 

[yres xres]=size(img); % get the image resolution

% reshape the image to a vector
x=reshape(img,numel(img),1);

%%% 1 Calculate M
% 1.1 Horisontal
AH=zeros(yres, xres*yres);
for i = 1:yres % for each ray, i
At=zeros(yres, xres);
At(i,:)=1;
AH(i,:)=reshape(At, 1, numel(At));
end

% 1.2 vertical
AV=zeros(xres, xres*yres);
for i = 1:yres % for each ray, i
At=zeros(yres, xres);
At(:,i)=1;
AV(i,:)=reshape(At, 1, numel(At));
end

% Put together the matrix M from the A:s
M=[AH; AV];
% calculate the projections
c=M*x;

% returns M and c as they are 
return 
