function [ x fx output_image ] = main( input_image )
%MAIN Main function for binary tomography

input_image = imread(input_image);

global x;
global fx;
[A b] = projection(input_image);

[n m ] = size( input_image );

%[x fx] = lsqlin(A,b,[],[],[],[],zeros(1,m),ones(1,m));
[ x fx ] = bintprog(-ones(1,n*n),A,b);

output_image = zeros(n,n);
for i=1:n
    output_image(i,:) = x( (i-1)*n+1 : (i*n) );
end

subplot(1,2,1)
imshow(input_image);
title('Original');
subplot(1,2,2);
imshow(output_image);
title('Reconstructed');